View Issue Details

IDProjectCategoryView StatusLast Update
0003142unrealircdpublic2007-01-22 06:57
ReporterdreAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSLinuxOS Version2.6.10-1.771_FC2
Product Version3.2.5 
Target VersionFixed in Version3.2.7 
Summary0003142: SDESC not messaging +s +s clients on local server when it is used
DescriptionI can use /SDESC on server1 with client1 and if client2 is on server1 it wont get a message about it, however if client2 is on server2, client2 does receieve a messsage about it. Is this intentional? I was making an mirc script to process messages from the server when I found this oddity(if thats what it is).
TagsNo tags attached.
3rd party modules hideserver.c,v 4.8 ircops - v3.6 m_getinfo.c,v 3.5 m_chgswhois.c,v 1.3 m_soper, v 0.3 rmtkl - v3.6 m_jumpserver - v0.0.2 m_privdeaf - v0.0.6

Relationships

child of 0003111 closed 3.2.7 Release 

Activities

2007-01-02 18:33

 

sdesclocalnotice.patch (937 bytes)

djGrrr

2007-01-02 18:36

reporter   ~0012972

I added a patch to fix this, now it sends to opers on all servers.

syzop

2007-01-22 06:57

administrator   ~0013084

Thanks for the report, and for the patch, fixed in 32* and 33*:

- Fixed SDESC not messaging +s +s clients on local server when it is used, reported by dre, patch provided by djGrrr.

Issue History

Date Modified Username Field Change
2006-12-11 00:13 dre New Issue
2006-12-11 00:13 dre 3rd party modules => hideserver.c,v 4.8 ircops - v3.6 m_getinfo.c,v 3.5 m_chgswhois.c,v 1.3 m_soper, v 0.3 rmtkl - v3.6 m_jumpserver - v0.0.2 m_
2006-12-11 06:21 syzop Status new => acknowledged
2006-12-11 06:23 syzop Relationship added child of 0003111
2007-01-02 18:33 djGrrr File Added: sdesclocalnotice.patch
2007-01-02 18:36 djGrrr Note Added: 0012972
2007-01-22 06:57 syzop Status acknowledged => resolved
2007-01-22 06:57 syzop Fixed in Version => 3.2.7
2007-01-22 06:57 syzop Resolution open => fixed
2007-01-22 06:57 syzop Assigned To => syzop
2007-01-22 06:57 syzop Note Added: 0013084